package com.unis.crk.cplbusiness.service;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unis.crk.cplbusiness.entity.LiOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.crk.cplbusiness.entity.vo.LiOrderVo;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ghh
 * @since 2023-01-20
 */
public interface ILiOrderService extends IService<LiOrder> {


    IPage<Map<String,Object>> findPageVo(LiOrderVo pageQuery);

    LiOrder getByIdGetOrder(String id);

    JSONObject saveOrder(LiOrder liOrder) throws Exception;

    JSONObject deleteOrderCk(String id) throws Exception;
}
